Update a letter's permissions
POST
/api/v3/letters/{letterUuid}/permissions
const url = 'https://api.tryletterhead.com/api/v3/letters/example/permissions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"allowAdd":true,"allowClone":true,"allowDelete":false,"allowMove":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/letters/example/permissions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "allowAdd": true, "allowClone": true, "allowDelete": false, "allowMove": true }'Update which editing actions are allowed on a letter β adding blocks, cloning, deleting, and
reordering (moving) blocks. This is the narrower alternative updateALetter points to when you
only need to change permissions rather than round-tripping the whole letter.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βPath Parameters
Section titled βPath Parameters β letterUuid
required
string
The letterβs unique identifier β an alphanumeric string around ten characters, e.g. ludctamgd6.
Request Body required
Section titled βRequest Body required β Media type application/json
object
allowAdd
(optional) Whether new blocks can be added to the letter.
boolean
allowClone
required
boolean
allowDelete
required
boolean
allowMove
(optional) Whether existing blocks can be reordered.
boolean
Example
{ "allowAdd": true, "allowClone": true, "allowDelete": false, "allowMove": true}Responses
Section titled β Responses βPermissions updated
Still can’t find what you need? Contact support.